<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/common_bgcolor"
        android:focusable="true"    
        android:focusableInTouchMode="true"     
    android:orientation="vertical" >
    <RelativeLayout
        android:id="@+id/title"
        android:layout_width="match_parent"
        android:layout_height="@dimen/height_top_bar"
        android:background="@color/common_topbar_bgcolor" >
        <include layout="@layout/commom_back_btn" />
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="注册"
            android:textColor="#ffffff"
            android:textSize="20sp" />
    </RelativeLayout>
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fadingEdge="none" >
    
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        android:orientation="vertical" >

        <!-- 服务器IP -->

        <RelativeLayout
            android:id="@+id/rl_user_serverip"
            android:layout_width="match_parent"
            android:layout_height="60dip"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:layout_marginTop="15dp"             
            android:orientation="horizontal"
            android:padding="10dip" >

            <TextView
                android:id="@+id/TextView00"                 
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:paddingLeft="10dip"
                android:text="服务器IP："
                android:textColor="@color/text_view"
                android:textSize="17sp"
                android:typeface="serif" />

            <EditText
                android:id="@+id/tv_user_serverip"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_toRightOf="@+id/TextView00"                
                android:background="@drawable/qq_edit_login"
         android:layout_marginBottom="5.0px"
        android:layout_marginLeft="5.0dip"
        android:layout_marginRight="5.0dip"
        android:layout_marginTop="5.0dip"
        android:paddingLeft="10.0sp"  
        android:saveEnabled="true"
        android:inputType="number|text"	 
         android:hint="请输入IP地址"                                    
                android:singleLine="true"
                android:text="221.234.36.67"
                android:textColor="@color/text_edit"
                android:textSize="16sp" />
			<ImageButton android:id="@+id/ImageButton01"
				android:background="@drawable/more_select" android:layout_width="wrap_content"
				android:layout_height="wrap_content" android:layout_marginRight="1.0dip"
				android:layout_alignTop="@+id/tv_user_serverip"
				android:layout_alignRight="@+id/tv_user_serverip"
				android:layout_alignBottom="@+id/tv_user_serverip" />            
        </RelativeLayout>
        <!-- 分割线 -->
        <TextView
            android:layout_width="match_parent"
            android:layout_height="1dip"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            android:background="#E6E6E6" /> 
       <!-- 用户名 -->

        <RelativeLayout
            android:id="@+id/rl_user_nickname"
            android:layout_width="match_parent"
            android:layout_height="50dip"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            
            android:orientation="horizontal"
            android:padding="10dip" >

            <TextView
                android:id="@+id/TextView01"                 
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:paddingLeft="10dip"
                android:text="用  户  名："
                android:textColor="@color/text_view"
                android:textSize="17sp"
                android:typeface="serif" />

            <EditText
                android:id="@+id/tv_user_nickname"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_toRightOf="@+id/TextView01"                
                android:background="@drawable/qq_edit_text"
                android:singleLine="true"
                android:hint="请输入你的昵称"                
                android:textColor="@color/text_edit"
                android:textSize="17sp" />
        </RelativeLayout>
        <!-- 分割线 -->
        <TextView
            android:layout_width="match_parent"
            android:layout_height="1dip"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            android:background="#E6E6E6" />                     
             <!-- 头像 -->
        <RelativeLayout
            android:id="@+id/rl_user_image"
            android:layout_width="match_parent"
            android:layout_height="70dip"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"            
            android:background="@drawable/btn_bottom_selector"
            android:padding="10dip" >

            <TextView
                android:id="@+id/TextView02"                 
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:paddingLeft="10dip"
                android:text="默认头像："
                android:textColor="@color/text_view"
                android:textSize="17sp"
                android:typeface="serif" />

            <ImageView
                android:id="@+id/iv_user_image"
                android:layout_width="50dip"
                android:layout_height="50dip"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:background="@drawable/default_avatar" />
        </RelativeLayout>
        <!-- 分割线 -->
        <TextView
            android:layout_width="match_parent"
            android:layout_height="1dip"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            android:background="#E6E6E6" />        
         <!-- 性别-->
        <RelativeLayout
            android:id="@+id/rl_user_sex"
            android:layout_width="match_parent"
            android:layout_height="50dip"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"            
            android:background="@drawable/btn_bottom_selector"
            android:padding="10dip" >

            <TextView
                android:id="@+id/TextView03"                 
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:paddingLeft="10dip"
                android:text="性　　别："
                android:textColor="@color/text_view"
                android:textSize="17sp"
                android:typeface="serif" />

       <!--      <EditText
                android:id="@+id/tv_user_xingbie"
                android:layout_width="100dip"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/TextView03"                
                android:layout_marginLeft="5dip"
                android:layout_weight="1"
                android:background="@drawable/edit_login"
                android:paddingLeft="10dip"
                android:paddingRight="25dip"
                android:singleLine="true"
                android:text="男"
                android:textColor="@color/btn_gray_pressed"
                android:textSize="17sp" />
            <ImageButton
                android:id="@+id/ImageButton02"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBottom="@+id/tv_user_xingbie"
                android:layout_alignRight="@+id/tv_user_xingbie"
                android:layout_alignTop="@+id/tv_user_xingbie"
                android:layout_marginRight="1.0dip"
                android:background="@drawable/more_select" /> -->
            <RadioGroup
                android:id="@+id/rg_sex"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_toRightOf="@+id/TextView03"
                android:orientation="horizontal" >

                <RadioButton
                    android:id="@+id/rb_sex_male"
                    android:checked="true"
                    android:text="男"
                    android:textColor="@color/text_edit"
                    android:textSize="17sp" />

                <RadioButton
                    android:id="@+id/rb_sex_female"
                    android:layout_marginLeft="10dp"
                    android:text="女"
                    android:textColor="@color/text_edit"
                    android:textSize="17sp" />
            </RadioGroup>
</RelativeLayout>
        <!-- 分割线 -->
        <TextView
            android:layout_width="match_parent"
            android:layout_height="1dip"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            android:background="#E6E6E6" />
        <!-- 年龄-->
        <RelativeLayout
            android:id="@+id/rl_user_nianling"
            android:layout_width="match_parent"
            android:layout_height="50dip"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"             
            android:background="@drawable/btn_bottom_selector"
            android:padding="10dip" >

            <TextView
                android:id="@+id/TextView04"                 
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:paddingLeft="10dip"
                android:text="年　　龄："
                android:textColor="@color/text_view"
                android:textSize="17sp"
                android:typeface="serif" />
            <EditText
                android:id="@+id/tv_user_age"
                android:layout_width="100dip"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/TextView04"
                android:layout_centerVertical="true"
                android:background="@drawable/qq_edit_text"
                android:paddingLeft="10dip"
                android:singleLine="true"
                android:text="18"
                android:inputType="number"                
                android:textColor="@color/text_edit"
                android:textSize="17sp" />
        </RelativeLayout>
        <!-- 分割线 -->
        <TextView
            android:layout_width="match_parent"
            android:layout_height="1dip"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            android:background="#E6E6E6" /> 
           <!-- 地区-->
        <RelativeLayout
            android:id="@+id/rl_user_address"
            android:layout_width="match_parent"
            android:layout_height="50dip"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"             
            android:background="@drawable/btn_bottom_selector"
            android:padding="10dip" >

            <TextView
                android:id="@+id/TextView05"                 
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:paddingLeft="10dip"
                android:text="所在地区："
                android:textColor="@color/text_view"
                android:textSize="17sp"
                android:typeface="serif" />

            <EditText
                android:id="@+id/tv_user_address"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/TextView05"
                android:layout_centerVertical="true"
                android:paddingLeft="10dip"
                android:background="@drawable/qq_edit_text"             
                android:hint="请选择你所属地区"
                android:textColor="@color/text_edit"
                android:focusable="false"                
                android:textSize="17sp"
                android:typeface="serif" />
        </RelativeLayout>
        <!-- 分割线 -->
        <TextView
            android:layout_width="match_parent"
            android:layout_height="1dip"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            android:background="#E6E6E6" />  
        <!-- 密码-->
        <RelativeLayout
            android:id="@+id/rl_user_password"
            android:layout_width="match_parent"
            android:layout_height="50dip"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"             
            android:background="@drawable/btn_bottom_selector"
            android:padding="10dip" >

            <TextView
                android:id="@+id/TextView06"                 
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:paddingLeft="10dip"
                android:text="密　　码："
              
                android:textColor="@color/text_view"
                android:textSize="17sp"
                android:typeface="serif" />
            <EditText
                android:id="@+id/tv_user_password"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_toRightOf="@+id/TextView06"                
                android:layout_centerVertical="true"
                android:layout_weight="1"
                android:background="@drawable/qq_edit_text"
                android:paddingLeft="10dip"
                android:singleLine="true"
                android:hint="请输入登录密码"               
                android:textColor="@color/text_edit"
                android:textSize="17sp" />
        </RelativeLayout>
        <!-- 分割线 -->
        <TextView
            android:layout_width="match_parent"
            android:layout_height="1dip"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            android:background="#E6E6E6" /> 
        <!-- 确认密码-->
        <RelativeLayout
            android:id="@+id/rl_user_confirmpsw"
            android:layout_width="match_parent"
            android:layout_height="50dip"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"             
            android:background="@drawable/btn_bottom_selector"
            android:padding="10dip" >

            <TextView
                android:id="@+id/TextView07"                
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:paddingLeft="10dip"
                android:text="确认密码："
                android:textColor="@color/text_view"
                android:textSize="17sp"
                android:typeface="serif" />
            <EditText
                android:id="@+id/tv_user_confirmpsw"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/TextView07"	                
                android:layout_centerVertical="true"
                android:layout_weight="1"
                android:background="@drawable/qq_edit_text"
                android:paddingLeft="10dip"
                android:singleLine="true"
                android:hint="请再次输入密码"                
                android:textColor="@color/text_edit"
                android:textSize="17sp" />
        </RelativeLayout>
 
          <!-- 分割线 -->
        <TextView
            android:layout_width="match_parent"
            android:layout_height="1dip"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            android:background="#E6E6E6" /> 
         <!-- 手机号码-->
        <RelativeLayout
            android:id="@+id/rl_user_telenum"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="30dp"
            android:layout_marginRight="30dp"             
            android:background="@drawable/btn_bottom_selector"
            android:padding="4dip" >
            <CheckBox
                android:id="@+id/CheckBox08"                 
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:paddingLeft="10dip"
                android:text="绑定手机："
 				android:checked="false"                
                android:textColor="@color/text_edit"
                android:textSize="15sp"
                android:typeface="serif" /> 
            <EditText
                android:id="@+id/tv_user_telenum"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/CheckBox08"	                
                android:layout_centerVertical="true"
                android:layout_weight="1"
                android:background="@drawable/qq_edit_text"
                android:paddingLeft="20dip"
                android:singleLine="true"
                android:hint="绑定就输入手机号码"                
                android:textColor="@color/text_edit"
                android:textSize="15sp" />
        </RelativeLayout>
 
            <TextView
                android:id="@+id/message"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
             android:layout_marginLeft="40dip"
            android:layout_marginRight="40dip"               
android:text="    1、注册时绑定了手机号码，登录时可以用手机号码登录；2、每个手机号码只能绑定一个PQ号。"
            android:ellipsize="end"
            android:maxLines="2"
            android:textColor="@color/text_view"
            android:textSize="14sp" />

          <!-- 分割线 -->
        <TextView
            android:layout_width="match_parent"
            android:layout_height="1dip"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            android:background="#E6E6E6" />           
        <!-- 验证码-->
        <RelativeLayout
            android:id="@+id/rl_user_checkview"
            android:layout_width="match_parent"
            android:layout_height="50dip"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"             
            android:background="@drawable/btn_bottom_selector"
            android:padding="10dip" >

            <TextView
                android:id="@+id/TextView07"                
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:paddingLeft="10dip"
                android:text="验证码："
                android:textColor="@color/text_view"
                android:textSize="17sp"
                android:typeface="serif" />
            <EditText
                android:id="@+id/tv_user_checkcode"
                android:layout_width="120dip"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/TextView07"	                
                android:layout_centerVertical="true"
                android:layout_weight="1"
                android:background="@drawable/qq_edit_text"
                android:paddingLeft="10dip"
                android:singleLine="true"
                android:hint="请输入验证码"                
                android:textColor="@color/text_edit"
                android:textSize="17sp" />
 <com.lianxin.panqq.widget.CheckView  
            android:id="@+id/checkView"  
            android:layout_width="80sp"  
            android:layout_height="38sp"  
                 android:layout_toRightOf="@+id/tv_user_checkcode"	           
            android:layout_marginLeft="5dp" >  
</com.lianxin.panqq.widget.CheckView>           
        </RelativeLayout>      
        
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:layout_marginRight="8dp"
            android:layout_marginTop="16dp"
            android:orientation="horizontal" >

            <Button
                android:id="@+id/btn_register"               
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/button_register_bg"

                android:paddingBottom="7dp"
                android:paddingTop="7dp"
                android:text="注册"
                android:textColor="@android:color/white"
                android:textSize="20sp" />
        </LinearLayout>
          <TextView
            android:layout_width="match_parent"
            android:layout_height="20dip"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            />         
 
    </LinearLayout>
    </ScrollView>
</LinearLayout>